Review users' interface complaints/suggestions and suggest short list of high-priority fixes
Closed, ResolvedPublic

Description

With the recent Watchlist and RC releases, a lot of users are picking on various elements of the interface. Some are requesting small fixes, others asks are bigger. Some have more merit than others.

Please review the talk page comments and come up with recommendations for a short list of important fixes. We can't do everything, but we should make an attempt to make some high-value changes in response to users' comments. Efficiency of action (click counting) appears to be an important metric for experienced users, and may be something to pay particular attention to.

Problems

Filters in the Watchlist are not used that often to be that prominent Although the list of results is not pushed down in many cases by the new filters, some users reported that filtering options are shown too prominently. Solutions to consider:

The UI seems too prominent Even though the results are not pushed down compared to where they used to appear, there is a sense of the filtering UI taking too much prominence compared to the results. Solutions to consider:

Current active filters may be hard to identify at a glance. The list of active filters is intended to provide a quick overview of what's displayed but the way it is displayed now can be confusing when many filters are applied. Solutions to consider:

I'll offer one suggestion that I think I've seen more than once: is there a way to let users confirm filter choices and close the menu without having to click on the page? Ideally by hitting Return? That was a pattern the old UX observed and may be particularly ingrained.

Here's another sensible suggestion I think I've seen that doesn't seem too hard: it appears a lot of Watchlist users don't really user filters much. Or use only one setting. So maybe we could let users on WL (only?) close the filter panel if they want. It would be ideal if they could close the filters but retain access to the Saved Filters menu. (And maybe the # of results and days menus?)

Pginer-WMF updated the task description. (Show Details)Oct 2 2017, 12:43 PM
Pginer-WMF updated the task description. (Show Details)

I'll keep looking at this, initially I added a couple of tickets in the description about the filter prominence (T177206) and the clarity in the list of filters (T176730).

Pginer-WMF updated the task description. (Show Details)Oct 3 2017, 11:16 AM
Pginer-WMF updated the task description. (Show Details)Oct 11 2017, 11:43 AM
Pginer-WMF updated the task description. (Show Details)
jmatazzoni closed this task as Resolved.Oct 27 2017, 6:31 AM